> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /folders

> 프로필의 폴더 목록 조회 또는 특정 폴더 조회.

## 폴더 목록 조회

```
GET /v1/profiles/{profileId}/folders
```

### 요청

```bash theme={null}
curl -X GET "http://client-omni-api.argosidentity.com/v1/profiles/{profileId}/folders?sort=createdAt&order=desc" \
  -H "x-api-key: your-api-key-here"
```

### 쿼리 파라미터

| 파라미터     | 타입     | 기본값         | 설명                                      |
| -------- | ------ | ----------- | --------------------------------------- |
| `search` | string |             | 폴더 이름으로 검색                              |
| `sort`   | string | `createdAt` | 정렬 필드: `name`, `createdAt`, `updatedAt` |
| `order`  | string | `desc`      | 정렬 순서: `asc`, `desc`                    |
| `cursor` | string |             | 페이지네이션 커서                               |
| `limit`  | number | 10          | 페이지당 항목 수 (최대 100)                      |

### 응답

```json theme={null}
{
  "count": 2,
  "nextCursor": null,
  "items": [
    {
      "id": "fld_default001",
      "profileId": "pf_a1b2c3d4",
      "name": "default",
      "isDefault": true,
      "itemsCount": 2,
      "createdAt": "2026-03-15T10:00:00Z",
      "updatedAt": "2026-03-15T10:00:00Z"
    },
    {
      "id": "fld_xyz789",
      "profileId": "pf_a1b2c3d4",
      "name": "Supporting Documents",
      "isDefault": false,
      "itemsCount": 1,
      "createdAt": "2026-03-15T10:30:00Z",
      "updatedAt": "2026-03-15T10:30:00Z"
    }
  ]
}
```

***

## 폴더 ID로 조회

```
GET /v1/folders/{folderId}
```

```bash theme={null}
curl -X GET "http://client-omni-api.argosidentity.com/v1/folders/{folderId}" \
  -H "x-api-key: your-api-key-here"
```

```json theme={null}
{
  "id": "fld_default001",
  "profileId": "pf_a1b2c3d4",
  "name": "default",
  "isDefault": true,
  "itemsCount": 2,
  "items": [
    {
      "id": "item_abc123",
      "type": "file",
      "name": "business_registration.pdf",
      "contentType": "application/pdf",
      "sizeBytes": 245678,
      "createdAt": "2026-03-15T10:10:00Z"
    }
  ],
  "createdAt": "2026-03-15T10:00:00Z",
  "updatedAt": "2026-03-15T10:10:00Z"
}
```

### 에러 코드

| 상태  | 코드                 | 설명          |
| --- | ------------------ | ----------- |
| 404 | `FOLDER_NOT_FOUND` | 폴더를 찾을 수 없음 |
